{% extends "homeApp/base.html" %}
{% load static %}
{% block title %}
<title>{{title}}</title>
{% endblock title %}
{% block head %}
    <link rel="stylesheet" href="{% static 'css/signin.css' %}" >
{% endblock head %}
{% block quizeHeading %}
<!--<div class="row" style="background-color:#333;">-->
    <!--<h3 class="text-center" style="color:white">Sign In</h3>-->

<!--</div>-->
{% endblock quizeHeading %}

{% block dynamicBlock %}
<div id="logreg-forms">
        <form class="form-signin">
            <h1 class="h3 mb-3 font-weight-normal" style="text-align: center"> Sign in</h1>
            <input type="email" id="inputEmail" class="form-control" placeholder="Email address" required="" autofocus="">
            <input type="password" id="inputPassword" class="form-control" placeholder="Password" required="">

            <button class="btn btn-success btn-block" type="submit"><i class="fas fa-sign-in-alt"></i> Sign in</button>
            <a href="#" id="forgot_pswd">Forgot password?</a>
        </form>

            <form action="/loading" class="form-reset">
                <input type="email" id="resetEmail" class="form-control" placeholder="Email address" required="" autofocus="">
                <button class="btn btn-primary btn-block" type="submit">Reset Password</button>
                <a href="#" id="cancel_reset"><i class="fas fa-angle-left"></i> Back</a>
            </form>

            <br>

    </div>
    <p style="text-align:center">
     <script>  toggleResetPswd(e){
    e.preventDefault();
    $('#logreg-forms .form-signin').toggle() // display:block or none
    $('#logreg-forms .form-reset').toggle() // display:block or none
}

function toggleSignUp(e){
    e.preventDefault();
    $('#logreg-forms .form-signin').toggle(); // display:block or none
    $('#logreg-forms .form-signup').toggle(); // display:block or none
}

$(()=>{
    // Login Register Form
    $('#logreg-forms #forgot_pswd').click(toggleResetPswd);
    $('#logreg-forms #cancel_reset').click(toggleResetPswd);
    $('#logreg-forms #btn-signup').click(toggleSignUp);
    $('#logreg-forms #cancel_signup').click(toggleSignUp);
})g"
</script>
    </p>
{% block bottom %}
    <script src="{% static 'js/signin.js' %}"></script>
{% endblock bottom %}

{% endblock dynamicBlock %}
